Skip to main content
GET
/
wallets
/
{walletId}
/
staking
/
rewards
Staking rewards for a wallet
curl --request GET \
  --url https://api.anchorage-staging.com/v2/wallets/{walletId}/staking/rewards \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "assetType": "ETH",
      "rewardAmount": "0.021",
      "rewardType": "UNCLAIMED",
      "referenceDate": "2024-08-10"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

walletId
string
required

An ID uniquely identifying an Anchorage Digital wallet

Query Parameters

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

Wallet rewards info for the specified wallet

data
WalletRewardsDetails · object[]
required
page
Page · object
required

Pagination info